%define	name	yafc
%define	version	1.1.1
%define subrel	2
%define release %mkrel 1

Summary:	Yafc - yet another ftp client
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Networking/File transfer
URL:		http://yafc.sourceforge.net/
Source0:	http://download.sourceforge.net/yafc/%{name}-%{version}.tar.bz2
Patch:		yafc-1.1-gcc.patch
BuildRequires:	readline-devel ncurses-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Yafc is yet another ftp client, similar to ftp(1).
It is an interactive interface to the FTP protocol.

FEATURES

* cached directory listings
* uses readline (tab completion, emacs/vi editing keys, history file, etc.)
* extensive tab completion
* multiple connections open
* aliases
* colored ls (ie, ls --color, uses $LS_COLORS like GNU ls)
* autologin and bookmarks
* Kerberos authentication support
* recursive get/put/rm/ls
* nohup mode get and put
* tagging (queueing) of files for later transferring
* automagically enters nohup-mode when SIGHUP received (in get and put)
* redirection to local command or file ('>', '>>' and '|')
* uses autoconf and automake
* proxy support
* more...

%prep
%setup -q
%patch -p1 -b .gcc

%build
%configure \
	--without-krb4
%make

%install
rm -rf $RPM_BUILD_ROOT
%{makeinstall}

rm -f %buildroot%{_infodir}/dir

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%_install_info %{name}.info

%preun
%_remove_install_info %{name}.info

%files -f %{name}.lang
%defattr(-,root,root)
%doc contrib BUGS NEWS README THANKS TODO inputrc.sample yafcrc.sample
%{_bindir}/*
%{_infodir}/*
%{_mandir}/man1/*



%changelog
* Tue Jul 03 2007 Adam Williamson <awilliamson@mandriva.com> 1.1.1-1.2mdv2007.1
+ Revision: 47405
- buildrequires ncurses-devel too
- build against libreadline (fix #31706)

  + Andreas Hasenack <andreas@mandriva.com>
    - branched cooker into 2007.1 (will have to revert some recent changes)


* Thu Oct 06 2005 Lenny Cartier <lenny@mandriva.com> 1.1.1-1mdk
- 1.1.1

* Fri Jun 17 2005 Andreas Hasenack <andreas@mandriva.com> 1.1-3mdk
- rebuilt without krb4

* Thu Jan 20 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.1-2mdk
- rebuild for new readline
- summary-ended-with-dot

* Mon May 24 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.1-1mdk
- 1.1
- remove patch merged upstream

* Sat Jul 26 2003 Han Boetes <han@linux-mandrake.com> 1.0-3mdk
- Dvalin again. :P

* Sat Jul 26 2003 Han Boetes <han@linux-mandrake.com> 1.0-2mdk
- Made patch to fix build.

* Fri Dec 06 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0-1mdk
- 1.0

* Wed Jul 24 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.7.10-2mdk
- rebuild for new readline

* Thu Jul 11 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.7.10-1mdk
- 0.7.10

* Mon Dec 03 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.7.5-1mdk
- updated by Han Boetes <han@mijncomputer.nl> :
	- Bump version

* Fri Aug 24 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.7.3-1mdk
- 0.7.3.

* Fri May 25 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.7.1-2mdk
- Fix with anonymous.

* Wed May 23 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.7.1-1mdk
- More macros.
- 0.7.1

* Wed Feb 21 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.6.5-1mdk
- updated to 0.6.5

* Sun Oct 15 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.6.4-1mdk
- more marcros.
- 0.6.4.

* Sun Sep 17 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.6.2-1mdk
- new in contribs

